import request from '@/utils/request'

// 刀模板履历日记查询(摸具使用统计表)
export function getListApi(query) {
  return request({
    url: "/report/tm/toolReport/getList",
    method: "get",
    params: query,
  });
}

// 履历状态字典
export function getResumeStatusApi() {
  return request({
    url: "/common/enum/getTmToolLogOperationType",
    method: "get",
  });
}

// 物料维保预警统计
export function getMaterialMaintenanceListApi(query) {
  return request({
    url: "/report/tm/toolReport/statisticsAll",
    method: "get",
    params: query,
  });
}

// SN维保预警清单10% 30%
export function getSnMaintenanceListApi(query) {
  return request({
    url: '/mes/tm/tool/list',
    method: 'get',
    params: query
  })
}

// SN生命周期统计
export function getSnLifecycleListApi(query) {
  return request({
    url: "/report/tm/toolReport/statisticsLifeCycle",
    method: "get",
    params: query,
  });
}
